<!-- Copyright (c) 2022 Qualcomm Innovation Center, Inc. All rights reserved. -->
<!-- SPDX-License-Identifier: BSD-3-Clause-Clear -->

<launch>
    <!-- navigation common params-->
    <rosparam file="$(find turn_on_qti_robot)/param_common/local_costmap_params.yaml"      command="load" ns="move_base"/>
    <rosparam file="$(find turn_on_qti_robot)/param_common/global_costmap_params.yaml"     command="load" ns="move_base"/>
    <rosparam file="$(find turn_on_qti_robot)/param_common/move_base_params.yaml"          command="load" ns="move_base"/>
    <rosparam file="$(find turn_on_qti_robot)/param_common/base_global_planner_param.yaml" command="load" ns="move_base"/>

    <param name="move_base/base_local_planner"    type="string" value="dwa_local_planner/DWAPlannerROS"/>
    <rosparam file="$(find turn_on_qti_robot)/param_common/dwa_local_planner_params.yaml"  command="load" ns="move_base"/>

    <arg name="car_mode"  default="" />

    <!-- car_mode and params-->
    <node pkg="move_base" type="move_base" respawn="false" name="move_base" output="screen">
        <rosparam file="$(find turn_on_qti_robot)/costmap_common_params/param_$(arg car_mode)/costmap_common_params.yaml" command="load" ns="global_costmap" />
        <rosparam file="$(find turn_on_qti_robot)/costmap_common_params/param_$(arg car_mode)/costmap_common_params.yaml" command="load" ns="local_costmap" />
    </node>
</launch>




